{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "MIT",
    "require": {
        "php": ">=7.4.2",
        "fideloper/proxy": "^4.4",
        "fruitcake/laravel-cors": "^2.0",
        "guzzlehttp/guzzle": "^7.0.1",
        "intervention/image": "^2.5",
        "laravel/framework": "^8.12",
        "laravel/tinker": "^2.5",
        "laravel/ui": "^3.1",
        "mdh/common": "dev-master",
        "mdh/front": "dev-master",
        "mdh/payment": "dev-master",
        "morilog/jalali": "3.*",
        "spatie/laravel-permission": "^3.18"
    },
    "require-dev": {
        "facade/ignition": "^2.3.6",
        "fakerphp/faker": "^1.9.1",
        "mockery/mockery": "^1.4.2",
        "nunomaduro/collision": "^5.0",
        "phpunit/phpunit": "^9.3.3"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Mdh\\User\\": "modules/Mdh/User/",
            "Mdh\\Dashboard\\": "modules/Mdh/Dashboard/",
            "Mdh\\Category\\": "modules/Mdh/Category/",
            "Mdh\\RolePermissions\\": "modules/Mdh/RolePermissions/",
            "Mdh\\Course\\": "modules/Mdh/Course/",
            "Mdh\\Media\\": "modules/Mdh/Media/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "repositories": [
        {
            "type": "path",
            "url": "./modules/Mdh/Common"
        },
        {
            "type": "path",
            "url": "./modules/Mdh/Front"
        },
        {
            "type": "path",
            "url": "./modules/Mdh/Payment"
        }
    ],
    "minimum-stability": "dev",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    }
}
